Get all notifications for an account with their templates
const url = 'https://api.pingram.io/types';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.pingram.io/types \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”Successful response
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
Example
[ { "channels": [ "EMAIL" ], "throttling": { "unit": "seconds", "scope": [ "userId" ] }, "options": { "EMAIL": { "defaultDeliveryOption": "off", "monthly": { "date": "first" } }, "INAPP_WEB": { "defaultDeliveryOption": "off" }, "SMS": { "defaultDeliveryOption": "off", "monthly": { "date": "first" } }, "CALL": { "defaultDeliveryOption": "off", "monthly": { "date": "first" } }, "PUSH": { "defaultDeliveryOption": "off", "monthly": { "date": "first" } }, "WEB_PUSH": { "defaultDeliveryOption": "off", "monthly": { "date": "first" } }, "SLACK": { "defaultDeliveryOption": "off", "monthly": { "date": "first" } } }, "templates": [ { "channel": "EMAIL" } ] }]Bad Request - validation errors, invalid input
Standard error response for API errors.
object
Unique tracking ID for the request.
Structured error details for API error responses.
object
Machine-readable error code.
Human-readable error message.
Actionable hint for fixing the error.
Example generated
{ "trackingId": "example", "error": { "code": "example", "message": "example", "fix": "example" }}Unauthorized
Payment Required - usage limits exceeded
Standard error response for API errors.
object
Unique tracking ID for the request.
Structured error details for API error responses.
object
Machine-readable error code.
Human-readable error message.
Actionable hint for fixing the error.
Example generated
{ "trackingId": "example", "error": { "code": "example", "message": "example", "fix": "example" }}Internal Server Error
Bad Gateway - provider error
Standard error response for API errors.
object
Unique tracking ID for the request.
Structured error details for API error responses.
object
Machine-readable error code.
Human-readable error message.
Actionable hint for fixing the error.
Example generated
{ "trackingId": "example", "error": { "code": "example", "message": "example", "fix": "example" }}